history: Get way history

API: openstreetmap.org:openstreetmap-api
Endpoint: /api/0.6/way/{id}/history
Response format: text/html +1 format
Charset: utf-8
Auth: unknown
Method: GET
Last Status: 200
Latency: 283ms

Description

Returns all versions of a way

Parameters (1)

id (integer, path, required)

Way ID

Examples (3)

Get history for a major highway way curl
curl 'https://api.openstreetmap.org/api/0.6/way/123456789/history'
import requests

resp = requests.get("https://api.openstreetmap.org/api/0.6/way/123456789/history")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("api/0.6/way/{id}/history")

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/way/123456789/history");
const data = await resp.json();
Get history for a building way curl
curl 'https://api.openstreetmap.org/api/0.6/way/987654321/history'
import requests

resp = requests.get("https://api.openstreetmap.org/api/0.6/way/987654321/history")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("api/0.6/way/{id}/history")

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/way/987654321/history");
const data = await resp.json();
Get history for a pedestrian path way curl
curl 'https://api.openstreetmap.org/api/0.6/way/555666777/history'
import requests

resp = requests.get("https://api.openstreetmap.org/api/0.6/way/555666777/history")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("api/0.6/way/{id}/history")

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/way/555666777/history");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:44:58.990571 200 283ms
2026-04-16 04:04:18.081574 200 249ms
2026-04-16 00:52:33.387612 404 189ms
2026-04-16 00:48:39.335452 404 196ms
2026-04-15 02:24:48.696011 404 197ms
2026-04-15 02:03:34.811887 404 195ms
2026-04-15 01:49:22.319179 200 210ms
2026-04-14 01:40:43.342314 200 203ms
2026-04-14 01:18:21.993517 404 182ms
2026-04-14 00:52:41.782057 404 169ms
2026-04-12 16:32:47.795409 404 198ms
2026-04-12 13:46:09.389221 200 194ms
2026-04-12 12:33:53.400899 404 189ms
2026-04-10 06:50:12.355077 404 166ms
2026-04-10 03:21:23.864962 200 146ms
2026-04-10 02:03:01.882199 404 155ms
2026-04-09 02:50:53.458388 200 215ms
2026-04-09 01:22:20.098975 404 294ms
2026-04-09 00:36:21.767384 404 229ms
2026-03-23 10:48:17.666085 404 141ms
2026-03-23 10:47:16.792898 404 173ms
2026-03-23 09:43:21.967302 200 181ms